---
inputType: "CA10A1__CaAwsAthenaWorkGroup__c"
importExtracts:
  - file: "/types/CA10A1__CaAwsAthenaWorkGroup__c/object.extracts.yaml"
testData:
  - file: "test-data.json"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "CloudWatch Metrics are not enabled for the Athena Workgroup."
    remediationMessage: "Consider enabling CloudWatch Metrics for the Athena Workgroup."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10A1__configPublishCloudWatchMetrics__c"
        right:
          TEXT: "Disabled"
  - status: "COMPLIANT"
    currentStateMessage: "CloudWatch Metrics are enabled for the Athena Workgroup."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10A1__configPublishCloudWatchMetrics__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unable to determine CloudWatch Metrics status for the Athena Workgroup."
